PDEC_INTFLAG_Type Union Reference

## Data Fields

struct {
__I uint8_t OVF:1
__I uint8_t ERR:1
__I uint8_t DIR:1
__I uint8_t VLC:1
__I uint8_t MC0:1
__I uint8_t MC1:1
__I uint8_t:2
} | bit
struct {
__I uint8_t:4
__I uint8_t MC:2
} | vec
uint8_t | reg

## Detailed Description

Definition at line 356 of file pdec.h.

## Field Documentation

## bit

struct { ... } PDEC_INTFLAG_Type::bit

Structure used for bit access

## DIR

__I uint8_t PDEC_INTFLAG_Type::DIR

bit: 2 Direction Change

Definition at line 360 of file pdec.h.

## ERR

__I uint8_t PDEC_INTFLAG_Type::ERR

bit: 1 Error

Definition at line 359 of file pdec.h.

## MC

__I uint8_t PDEC_INTFLAG_Type::MC

bit: 4.. 5 Channel x Compare Match

Definition at line 368 of file pdec.h.

## MC0

__I uint8_t PDEC_INTFLAG_Type::MC0

bit: 4 Channel 0 Compare Match

Definition at line 362 of file pdec.h.

## MC1

__I uint8_t PDEC_INTFLAG_Type::MC1

bit: 5 Channel 1 Compare Match

Definition at line 363 of file pdec.h.

## OVF

__I uint8_t PDEC_INTFLAG_Type::OVF

bit: 0 Overflow/Underflow

Definition at line 358 of file pdec.h.

## reg

uint8_t PDEC_INTFLAG_Type::reg

Type used for register access

Definition at line 371 of file pdec.h.

## uint8_t

__I PDEC_INTFLAG_Type::uint8_t

bit: 6.. 7 Reserved

bit: 0.. 3 Reserved

Definition at line 364 of file pdec.h.

## vec

struct { ... } PDEC_INTFLAG_Type::vec

Structure used for vec access

## VLC

__I uint8_t PDEC_INTFLAG_Type::VLC

bit: 3 Velocity

Definition at line 361 of file pdec.h.

The documentation for this union was generated from the following file:

- /storage/Shared/Documents/Projects/ePenguin/ePenguin-Software-Framework/arch/arm/SAME54/SAME54A/mcu/inc/component/pdec.h